Subject: Arguments in AbstractController are not cleared after forward
Description

The arguments object is created in the constructor of the AbstractController class. After a forward the existing controller will be reused
(controller is a singleton) and the old arguments object will be used. This leads to strange validation errors for argument mapping.

Associated revisions
Revision 46e8f7c6 - 2009-06-29 21:31 - Christopher Hlubek

    -  [FIX] FLOW3 (MVC): Arguments are reset on each call to processRequest, fixes #3795
    -  [FIX] FLOW3 (MVC): Fixed wrong type hints in AbstractController and added the param for redirect arguments
    -  [+FEAT] FLOW3 (MVC): Implemented a generic error action for the ActionController with automatic forwarding to the referrer action and with
storage of errors in the request. Resolves #3790

Revision c9092ca7 - 2009-06-30 13:54 - Karsten Dambekalns

[FIX] FLOW3 (MVC): Different fix for #3795, now arguments are cleared only on forward(), fixes #3795

History
#1 - 2009-06-29 22:00 - Christopher Hlubek
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2659.

#2 - 2009-06-30 12:58 - Karsten Dambekalns
- Status changed from Resolved to Accepted
- Assigned To set to Karsten Dambekalns
- % Done changed from 100 to 0

The fix in r2659 breaks REST controllers, maybe more. I'll check.

#3 - 2009-06-30 14:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset r2675.
